Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Wed, 19 Apr 2023 18:27:08 +0100

On Wed, Apr 19, 2023 at 5:50 PM Eli Zaretskii <[email-masked]> wrote:

> > This just doesn't make any sense to me.  Can't you understand that other
> > maintainers also value stability for their packages?
>
> Of course I can.  But once again: if Eglot 1.14 is not stable enough,

Stable enough for whom, or for what?  Stability is quantity in a spectrum.

I think Emacs releases should come with the most well tested code.  No
program is perfect.  Eglot 1.14 is stable, but it's not _as_ stable as Eglot
1.12 because the latter has seen more testing?

So different users and different use cases will accept different things.

> > It's certainly NOT about "not wanting to invest the effort".  That effort
> > would amount to forking Eglot in its feature set so that effort would be
> > a disservice to everybody.
>
> No, it doesn't require any forks.  It requires more cautious
> introduction of new features into Eglot on master.  And yes, it's
> extra effort.  But IMNSHO, users will benefit, so in my book it's
> worth it.

AFAICT you suggest a different eglot.el in Emacs 29 which has the
same features as eglot.el in Emacs master, but without needing
the dependencies that the master version can enjoy.  That's a
fork if I've ever seen one.

João